Building nrpe plugins on Solaris

I realised that the other issues I was having were may well be created by the fact that I have 2 seperate versions of the plugins running.

My initial configure runs and reports no errors.

When I do a make, it fails out with the following error code, any advice?

Making all in plugins-root
make: Fatal error: Don’t know how to make target pst3' Current working directory /home/spk/nagios-plugins-1.4.3/plugins-root *** Error code 1 make: Fatal error: Command failed for targetall-recursive’
Current working directory /home/spk/nagios-plugins-1.4.3
*** Error code 1
make: Fatal error: Command failed for target `all’

Thanks

–L

…looks like you’re building nagios-plugins-1.4.3, not nrpe-2.5.1. You can use the following ksh script as a guideline to build nrpe-2.5.1 after untarring from the source distribution:

cd ./nrpe-2.5.1
if $? -ne 0 ] ; then
exit 1
fi

echo “executing configure…”
./configure --with-nrpe-user=nagios --with-nrpe-group=nagiocmd --with-nrpe-port=5666 --enable-ssl --enable-command-args

if $? -ne 0 ] ; then
exit 1
fi

echo "executing make all…"
make all
if $? -ne 0 ] ; then
exit 1
fi

echo "binaries are located in ./src"
echo “need to deploy them manually”

echo “done.”

BTW building nagios-plugins-1.4.3 fails on Solaris 9 during the build of check_ldap. I posted a bug report on that and am using nagios-plugins-1.4.2 instead where check_ldap also fails, but I have a workaround to solve it. If you are interested, let me know.

Hi sharamun,

Could you please provide me the work-around for the check_ldap build issue? I am on solaris 10 with nagios-plugin-1.4.4

Any response will be helpful and highly appreciated

Hi!
Are you talking about THIS LDAP issue on Solaris 10:
(hope you are, 'cause i’m stuck with it too, only on plugins 1.4.6 version)

root@blade1000:(/TEMP/nagios/nagios-plugins-1.4.6)#make check
Making check in gl
make check-am
Making check in lib
Making check in tests
make
make check-TESTS
Making check in plugins
if gcc -DLOCALEDIR="/opt/soft/nagios/libexec/share/locale" -DHAVE_CONFIG_H -I. -I. -I… -I… -I…/lib -I…/gl -I…/intl -I/usr/include/ldap -I/usr/include/pgsql -I/usr/local/include -D_REENTRANT -I/usr/local/include -I/opt/csw/include -g -O2 -MT check_ldap.o -MD -MP -MF “.deps/check_ldap.Tpo” -c -o check_ldap.o check_ldap.c;
then mv -f “.deps/check_ldap.Tpo” “.deps/check_ldap.Po”; else rm -f “.deps/check_ldap.Tpo”; exit 1; fi
In file included from check_ldap.c:40:
common.h:179: warning: static declaration of ‘floorf’ follows non-static declaration
check_ldap.c: In function main': check_ldap.c:133: error: LDAP_OPT_SUCCESS’ undeclared (first use in this function)
check_ldap.c:133: error: (Each undeclared identifier is reported only once
check_ldap.c:133: error: for each function it appears in.)
*** Error code 1
make: Fatal error: Command failed for target check_ldap.o' Current working directory /TEMP/nagios/nagios-plugins-1.4.6/plugins *** Error code 1 The following command caused the error: failcom='exit 1'; \ for f in x $MAKEFLAGS; do \ case $f in \ *=* | --!k]*);; \ *k*) failcom='fail=yes';; \ esac; \ done; \ dot_seen=no; \ target=echo check-recursive | sed s/-recursive//; \ list='gl lib plugins plugins-scripts plugins-root po'; for subdir in $list; do \ echo "Making $target in $subdir"; \ if test "$subdir" = "."; then \ dot_seen=yes; \ local_target="$target-am"; \ else \ local_target="$target"; \ fi; \ (cd $subdir && make $local_target) \ || eval $failcom; \ done; \ if test "$dot_seen" = "no"; then \ make "$target-am" || exit 1; \ fi; test -z "$fail" make: Fatal error: Command failed for target check-recursive’